Skip to main content
GET
/
storage
/
buckets
/
{name}
/
objects
Error
A valid request URL is required to generate request examples
{
  "objects": [
    {
      "key": "<string>",
      "size": 123,
      "last_modified": "<string>",
      "etag": "<string>"
    }
  ],
  "prefixes": [
    "<string>"
  ],
  "is_truncated": true,
  "next_continuation_token": "<string>",
  "key_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

Query Parameters

prefix
string
max_keys
integer
default:100
continuation_token
string

Response

Objects and common prefixes

objects
object[]
prefixes
string[]
is_truncated
boolean
next_continuation_token
string | null
key_count
integer